Package com.typesafe.config.impl

# Class ConfigImplUtil

java.lang.Object
com.typesafe.config.impl.ConfigImplUtil

public final class ConfigImplUtil extends Object
Internal implementation detail, not ABI stable, do not touch. For use only by the `com.typesafe.config` package.

## Constructor Summary

Constructors
Constructor
Description
`ConfigImplUtil()`

## Method Summary

Modifier and Type
Method
Description
`static ConfigException`
`extractInitializerError(ExceptionInInitializerError e)`
`static String`
`joinPath(String... elements)`
`static String`
`joinPath(List<String> elements)`
`static ConfigOrigin`
`readOrigin(ObjectInputStream in)`
`static String`
`renderJsonString(String s)`
`static List<String>`
`splitPath(String path)`
`static ConfigSyntax`
`syntaxFromExtension(String filename)`
Guess configuration syntax from given filename.
`static String`
`unicodeTrim(String s)`
`static void`
`writeOrigin(ObjectOutputStream out, ConfigOrigin origin)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigImplUtil

public ConfigImplUtil()

## Method Details

### renderJsonString

public static String renderJsonString(String s)

### unicodeTrim

public static String unicodeTrim(String s)

### extractInitializerError

public static ConfigException extractInitializerError(ExceptionInInitializerError e)

### joinPath

public static String joinPath(String... elements)

### joinPath

public static String joinPath(List<String> elements)

### splitPath

public static List<String> splitPath(String path)

### readOrigin

public static ConfigOrigin readOrigin(ObjectInputStream in) throws IOException

Throws:
  `IOException`

### writeOrigin

public static void writeOrigin(ObjectOutputStream out, ConfigOrigin origin) throws IOException

Throws:
  `IOException`

### syntaxFromExtension

public static ConfigSyntax syntaxFromExtension(String filename)
Guess configuration syntax from given filename.

Parameters:
  `filename` - configuration filename
Returns:
  configuration syntax if a match is found. Otherwise, null.